SystemOrganization addCategory: 'ConfigurationOfOrbeonLDAP'!

ConfigurationOf subclass: #ConfigurationOfOrbeonLDAP
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfOrbeonLDAP'!

!ConfigurationOfOrbeonLDAP methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:37'!
baseline0007: spec
	<version: '0.007-baseline'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec author: 'BrunoBB'.
		spec repository: 'http://ss3.gemstone.com/ss/Orbeon'.
		spec project: 'Orbeon' with: [
			spec repository: 'http://ss3.gemstone.com/ss/Orbeon';
				versionString: #stable;
				className: 'ConfigurationOfOrbeon';
				file: 'ConfigurationOfOrbeon';
				loads: #('ALL').
				].
		spec project: 'OrbeonFormProcess' with: [
			spec repository: 'http://ss3.gemstone.com/ss/Orbeon';
				versionString: #stable;
				className: 'ConfigurationOfOrbeonFormProcess';
				file: 'ConfigurationOfOrbeonFormProcess';
				loads: #('ALL').
				].
		spec 
			package: 'OrbeonLDAP-BrunoBB' with: [spec requires: #('Orbeon' 'OrbeonFormProcess')].
	].! !

!ConfigurationOfOrbeonLDAP methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:37'!
bleedingEdge: spec
	<symbolicVersion: #'bleedingEdge'>

	spec for: #'common' version: '0.007-baseline'.! !

!ConfigurationOfOrbeonLDAP methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:37'!
customProjectAttributes
	 "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes"

	^ #().! !

!ConfigurationOfOrbeonLDAP methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:37'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfOrbeonLDAP methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:37'!
release: spec
	<symbolicVersion: #'release'>

	spec for: #common version: '0.008'.! !

!ConfigurationOfOrbeonLDAP methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:37'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #common version: '0.008'.! !

!ConfigurationOfOrbeonLDAP methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:37'!
version0007: spec
	<version: '0.007' imports: #('0.007-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'brunobb'.
		spec project: 'Orbeon' with: '1.102'.
		spec project: 'OrbeonFormProcess' with: '0.670'.

		spec package: 'OrbeonLDAP-BrunoBB' with: 'OrbeonLDAP-BrunoBB-0.006'.
	]! !

!ConfigurationOfOrbeonLDAP methodsFor: 'other' stamp: 'BrunoBB 09/10/2015 12:37'!
version0008: spec
	<version: '0.008' imports: #('0.007-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'brunobb'.
		spec project: 'Orbeon' with: '1.103'.
		spec project: 'OrbeonFormProcess' with: '0.670'.

		spec package: 'OrbeonLDAP-BrunoBB' with: 'OrbeonLDAP-BrunoBB-0.007'.
	]! !
